diff --git a/src/main/java/net/minecraft/client/gui/ConflictWarningScreen.java b/src/main/java/net/minecraft/client/gui/ScreenConflictWarning.java
similarity index 91%
rename from src/main/java/net/minecraft/client/gui/ConflictWarningScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenConflictWarning.java
index 016739dda..0b1f4b829 100644
--- a/src/main/java/net/minecraft/client/gui/ConflictWarningScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConflictWarning.java
@@ -5,10 +5,10 @@ package net.minecraft.client.gui;
 
 import net.minecraft.core.lang.I18n;
 
-public class ConflictWarningScreen extends Screen
+public class ScreenConflictWarning extends Screen
 {
 
-    public ConflictWarningScreen()
+    public ScreenConflictWarning()
     {
     }
 
@@ -28,7 +28,7 @@ public class ConflictWarningScreen extends Screen
         }
         if(button.id == 0)
         {
-            mc.displayScreen(new MainMenuScreen());
+            mc.displayScreen(new ScreenMainMenu());
         }
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/ConnectFailedScreen.java b/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
similarity index 91%
rename from src/main/java/net/minecraft/client/gui/ConnectFailedScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
index 31b388655..1cbcfc991 100644
--- a/src/main/java/net/minecraft/client/gui/ConnectFailedScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConnectFailed.java
@@ -7,10 +7,10 @@ import net.minecraft.client.Minecraft;
 
 import net.minecraft.core.lang.I18n;
 
-public class ConnectFailedScreen extends Screen
+public class ScreenConnectFailed extends Screen
 {
 
-	public ConnectFailedScreen(String s, String s1, Object aobj[]) {
+	public ScreenConnectFailed(String s, String s1, Object aobj[]) {
 		I18n stringtranslate = I18n.getInstance();
 		this.errorMessage = stringtranslate.translateKey(s);
 		
@@ -52,7 +52,7 @@ public class ConnectFailedScreen extends Screen
     {
         if(button.id == 0)
         {
-            mc.displayScreen(new MainMenuScreen());
+            mc.displayScreen(new ScreenMainMenu());
         }
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/ConnectToIpScreen.java b/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
similarity index 95%
rename from src/main/java/net/minecraft/client/gui/ConnectToIpScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
index 88b74b202..4fbf1411b 100644
--- a/src/main/java/net/minecraft/client/gui/ConnectToIpScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConnectToIp.java
@@ -8,10 +8,10 @@ import org.lwjgl.input.Keyboard;
 //            GuiScreen, GuiTextField, StringTranslate, GuiButton, 
 //            gGameSettings, GuiConnecting
 
-public class ConnectToIpScreen extends Screen
+public class ScreenConnectToIp extends Screen
 {
 
-    public ConnectToIpScreen(Screen parent)
+    public ScreenConnectToIp(Screen parent)
     {
         super(parent);
     }
@@ -60,7 +60,7 @@ public class ConnectToIpScreen extends Screen
             mc.gameSettings.lastServer.value = serverUrl.replaceAll(":", "_");
             mc.gameSettings.saveOptions();
             ServerAddress address = ServerAddress.resolveServerIP(serverUrl);
-            mc.displayScreen(new ConnectingScreen(mc, address.getIP(), address.getPort()));
+            mc.displayScreen(new ScreenConnecting(mc, address.getIP(), address.getPort()));
         }
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/ConnectingScreen.java b/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
similarity index 84%
rename from src/main/java/net/minecraft/client/gui/ConnectingScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenConnecting.java
index b0752f6dd..d9f1e7c5b 100644
--- a/src/main/java/net/minecraft/client/gui/ConnectingScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenConnecting.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui;
 
 import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
-import net.minecraft.client.net.handler.ClientPacketHandler;
+import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.packet.PreLoginPacket;
 import org.slf4j.Logger;
@@ -11,13 +11,13 @@ import java.net.ConnectException;
 import java.net.UnknownHostException;
 
 // Referenced classes of package net.minecraft.src:
-//            GuiScreen, ThreadConnectToServer, ClientPacketHandler, StringTranslate,
+//            GuiScreen, ThreadConnectToServer, PacketHandlerClient, StringTranslate,
 //            GuiButton, GuiMainMenu
 
-public class ConnectingScreen extends Screen
+public class ScreenConnecting extends Screen
 {
     private static final Logger LOGGER = LogUtils.getLogger();
-    public ConnectingScreen(Minecraft minecraft, String hostName, int port)
+    public ScreenConnecting(Minecraft minecraft, String hostName, int port)
     {
         mc = minecraft;
         cancelled = false;
@@ -26,7 +26,7 @@ public class ConnectingScreen extends Screen
         new Thread(() -> {
             try
             {
-                clientHandler = new ClientPacketHandler(mc, hostName, port);
+                clientHandler = new PacketHandlerClient(mc, hostName, port);
                 if(cancelled)
                 {
                     return;
@@ -39,7 +39,7 @@ public class ConnectingScreen extends Screen
                 {
                     return;
                 }
-                mc.displayScreen(new ConnectFailedScreen("connect.failed", "disconnect.genericReason", new Object[] {
+                mc.displayScreen(new ScreenConnectFailed("connect.failed", "disconnect.genericReason", new Object[] {
                     "Unknown host '" + hostName + "'"
                 }));
             }
@@ -49,7 +49,7 @@ public class ConnectingScreen extends Screen
                 {
                     return;
                 }
-                mc.displayScreen(new ConnectFailedScreen("connect.failed", "disconnect.genericReason", new Object[] {
+                mc.displayScreen(new ScreenConnectFailed("connect.failed", "disconnect.genericReason", new Object[] {
                     connectexception.getMessage()
                 }));
             }
@@ -60,7 +60,7 @@ public class ConnectingScreen extends Screen
                     return;
                 }
                 LOGGER.error("Unexpected Exception when trying to join server!", exception);
-                mc.displayScreen(new ConnectFailedScreen("connect.failed", "disconnect.genericReason", new Object[] {
+                mc.displayScreen(new ScreenConnectFailed("connect.failed", "disconnect.genericReason", new Object[] {
                     exception.toString()
                 }));
             }
@@ -100,7 +100,7 @@ public class ConnectingScreen extends Screen
             {
                 clientHandler.disconnect();
             }
-            mc.displayScreen(new SelectServerScreen(new MainMenuScreen()));
+            mc.displayScreen(new ScreenSelectServer(new ScreenMainMenu()));
         }
     }
 
@@ -121,6 +121,6 @@ public class ConnectingScreen extends Screen
         super.render(xm, ym, partialTick);
     }
 
-    private ClientPacketHandler clientHandler;
+    private PacketHandlerClient clientHandler;
     private boolean cancelled;
 }
diff --git a/src/main/java/net/minecraft/client/gui/ControllerSetupScreen.java b/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/ControllerSetupScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
index 23279b1f1..649630868 100644
--- a/src/main/java/net/minecraft/client/gui/ControllerSetupScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenControllerSetup.java
@@ -12,12 +12,12 @@ import java.util.Arrays;
 
 import static org.lwjgl.opengl.GL11.*;
 
-public class ControllerSetupScreen extends Screen {
+public class ScreenControllerSetup extends Screen {
     private ControllerInput lastController = null;
     private ButtonElement controllerButton;
     private ControllerGlyphElement glyphRenderer;
 
-    public ControllerSetupScreen(Screen parentScreen) {
+    public ScreenControllerSetup(Screen parentScreen) {
         super(parentScreen);
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/CreateWorldScreen.java b/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
similarity index 99%
rename from src/main/java/net/minecraft/client/gui/CreateWorldScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
index b05c47b55..421bbc415 100644
--- a/src/main/java/net/minecraft/client/gui/CreateWorldScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenCreateWorld.java
@@ -18,7 +18,7 @@ import org.lwjgl.input.Keyboard;
 import java.util.List;
 import java.util.Random;
 
-public class CreateWorldScreen extends Screen {
+public class ScreenCreateWorld extends Screen {
     private int overrideSpawnX;
     private int overrideSpawnY;
     private int overrideSpawnZ;
@@ -38,7 +38,7 @@ public class CreateWorldScreen extends Screen {
     private WorldTypeGroups.Group worldTypeGroup = WorldTypeGroups.DEFAULT;
     private long seed = (new Random()).nextLong();
 
-    public CreateWorldScreen(Screen guiscreen) {
+    public ScreenCreateWorld(Screen guiscreen) {
         textField = guiscreen;
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/CreditsScreen.java b/src/main/java/net/minecraft/client/gui/ScreenCredits.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/CreditsScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenCredits.java
index 5a711e93b..3a48b3a61 100644
--- a/src/main/java/net/minecraft/client/gui/CreditsScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenCredits.java
@@ -21,7 +21,7 @@ import java.util.List;
 
 import static org.lwjgl.opengl.GL11.*;
 
-public class CreditsScreen extends Screen {
+public class ScreenCredits extends Screen {
     private static final Logger LOGGER = LogUtils.getLogger();
     private static final int TOP_SPACING = 24;
     private static final int BUTTON_SPACING = 4;
@@ -53,10 +53,10 @@ public class CreditsScreen extends Screen {
 
     private float hue = 0;
 
-    public CreditsScreen(Screen parent) {
+    public ScreenCredits(Screen parent) {
         super(parent);
 
-        try (InputStream stream = MainMenuScreen.class.getResourceAsStream("/credits.txt")) {
+        try (InputStream stream = ScreenMainMenu.class.getResourceAsStream("/credits.txt")) {
 
             List<String> lines = new ArrayList<>();
             BufferedReader br = new BufferedReader(new InputStreamReader(stream, StandardCharsets.UTF_8));
diff --git a/src/main/java/net/minecraft/client/gui/DownloadTerrainScreen.java b/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
similarity index 80%
rename from src/main/java/net/minecraft/client/gui/DownloadTerrainScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
index 02c672600..ce95f0bdd 100644
--- a/src/main/java/net/minecraft/client/gui/DownloadTerrainScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenDownloadTerrain.java
@@ -1,17 +1,17 @@
 package net.minecraft.client.gui;
 
 // Referenced classes of package net.minecraft.src:
-//            GuiScreen, KeepAlivePacket, ClientPacketHandler, StringTranslate,
+//            GuiScreen, KeepAlivePacket, PacketHandlerClient, StringTranslate,
 //            GuiButton
 
-import net.minecraft.client.net.handler.ClientPacketHandler;
+import net.minecraft.client.net.handler.PacketHandlerClient;
 import net.minecraft.core.net.packet.KeepAlivePacket;
 import net.minecraft.core.lang.I18n;
 
-public class DownloadTerrainScreen extends Screen
+public class ScreenDownloadTerrain extends Screen
 {
 
-    public DownloadTerrainScreen(ClientPacketHandler netclienthandler)
+    public ScreenDownloadTerrain(PacketHandlerClient netclienthandler)
     {
         updateCounter = 0;
         netHandler = netclienthandler;
@@ -57,6 +57,6 @@ public class DownloadTerrainScreen extends Screen
         super.render(xm, ym, partialTick);
     }
 
-    private ClientPacketHandler netHandler;
+    private PacketHandlerClient netHandler;
     private int updateCounter;
 }
diff --git a/src/main/java/net/minecraft/client/gui/GameOverScreen.java b/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
similarity index 84%
rename from src/main/java/net/minecraft/client/gui/GameOverScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenGameOver.java
index 7bdb3156f..3eb517bb8 100644
--- a/src/main/java/net/minecraft/client/gui/GameOverScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenGameOver.java
@@ -1,6 +1,6 @@
 package net.minecraft.client.gui;
 
-import net.minecraft.client.entity.player.MultiplayerLocalPlayer;
+import net.minecraft.client.entity.player.PlayerLocalMultiplayer;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.packet.KeepAlivePacket;
 import net.minecraft.core.player.gamemode.Gamemode;
@@ -9,20 +9,20 @@ import org.lwjgl.opengl.GL11;
 import net.minecraft.core.net.command.TextFormatting;
 
 // Referenced classes of package net.minecraft.src:
-//            GuiScreen, GuiButton, LocalPlayer, GuiMainMenu
+//            GuiScreen, GuiButton, PlayerLocal, GuiMainMenu
 
-public class GameOverScreen extends Screen
+public class ScreenGameOver extends Screen
 {
     protected int tickCount = 0;
 
-    public GameOverScreen()
+    public ScreenGameOver()
     {
     }
     @Override
     public void tick(){
         tickCount++;
-        if (mc.isMultiplayerWorld() && mc.thePlayer instanceof MultiplayerLocalPlayer && tickCount % 10 == 0){
-            MultiplayerLocalPlayer clientPlayerMP = (MultiplayerLocalPlayer) mc.thePlayer;
+        if (mc.isMultiplayerWorld() && mc.thePlayer instanceof PlayerLocalMultiplayer && tickCount % 10 == 0){
+            PlayerLocalMultiplayer clientPlayerMP = (PlayerLocalMultiplayer) mc.thePlayer;
             clientPlayerMP.sendQueue.addToSendQueue(new KeepAlivePacket());
         }
     }
@@ -60,7 +60,7 @@ public class GameOverScreen extends Screen
                 mc.theWorld.sendQuittingDisconnectingPacket();
             }
             mc.changeWorld(null);
-            mc.displayScreen(new MainMenuScreen());
+            mc.displayScreen(new ScreenMainMenu());
         }
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/HudDesignerScreen.java b/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
similarity index 92%
rename from src/main/java/net/minecraft/client/gui/HudDesignerScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
index 905ffb6df..6e76c4964 100644
--- a/src/main/java/net/minecraft/client/gui/HudDesignerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenHudDesigner.java
@@ -3,10 +3,10 @@ package net.minecraft.client.gui;
 import net.minecraft.client.gui.hud.component.ComponentAnchor;
 import net.minecraft.client.gui.hud.component.HudComponent;
 import net.minecraft.client.gui.hud.component.HudComponents;
-import net.minecraft.client.gui.hud.component.MovableHudComponent;
-import net.minecraft.client.gui.hud.component.layout.AbsoluteLayout;
+import net.minecraft.client.gui.hud.component.HudComponentMovable;
+import net.minecraft.client.gui.hud.component.layout.LayoutAbsolute;
 import net.minecraft.client.gui.hud.component.layout.Layout;
-import net.minecraft.client.gui.hud.component.layout.SnapLayout;
+import net.minecraft.client.gui.hud.component.layout.LayoutSnap;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
@@ -17,7 +17,7 @@ import java.util.List;
 
 import static org.lwjgl.opengl.GL11.*;
 
-public class HudDesignerScreen
+public class ScreenHudDesigner
     extends Screen {
     private static final int BOTTOM_SPACE = 28;
     private final List<HudComponent> componentsUnderMouse = new ArrayList<>();
@@ -28,7 +28,7 @@ public class HudDesignerScreen
     private float screenPadding = 0.0f;
     private ButtonElement resetButton;
 
-    public HudDesignerScreen(Screen parent) {
+    public ScreenHudDesigner(Screen parent) {
         super(parent);
     }
 
@@ -67,14 +67,14 @@ public class HudDesignerScreen
         if (buttonNum == 0) {
             if (!componentsUnderMouse.isEmpty()) {
                 HudComponent componentUnderMouse = componentsUnderMouse.get(componentsUnderMouse.size() - 1);
-                if (componentUnderMouse instanceof MovableHudComponent) {
+                if (componentUnderMouse instanceof HudComponentMovable) {
                     Layout currentLayout = componentUnderMouse.getLayout();
                     ComponentAnchor anchor = getClosestAnchor(
                         currentLayout.getComponentX(mc, componentUnderMouse, width),
                         currentLayout.getComponentY(mc, componentUnderMouse, height - BOTTOM_SPACE),
                         componentUnderMouse, mx, my);
-                    Layout layout = new AbsoluteLayout(0, 0, anchor);
-                    ((MovableHudComponent) componentUnderMouse).setLayout(layout);
+                    Layout layout = new LayoutAbsolute(0, 0, anchor);
+                    ((HudComponentMovable) componentUnderMouse).setLayout(layout);
 
                     heldComponent = componentUnderMouse;
                     heldAnchor = anchor;
@@ -100,8 +100,8 @@ public class HudDesignerScreen
         int newY = MathHelper.clamp(mouseY, yOffset, height - BOTTOM_SPACE - (ySize - yOffset));
 
         Layout layout = heldComponent.getLayout();
-        if (layout instanceof AbsoluteLayout) {
-            AbsoluteLayout absoluteLayout = (AbsoluteLayout) layout;
+        if (layout instanceof LayoutAbsolute) {
+            LayoutAbsolute absoluteLayout = (LayoutAbsolute) layout;
             absoluteLayout.setXPosition((float) newX / width);
             absoluteLayout.setYPosition((float) newY / (height - BOTTOM_SPACE));
         }
@@ -115,13 +115,13 @@ public class HudDesignerScreen
             boolean isNested = false;
             Layout nestedLayout = otherLayout;
             for (int i = 0; i < 10; i++) {
-                if (nestedLayout instanceof SnapLayout) {
-                    SnapLayout snapLayout = (SnapLayout) nestedLayout;
-                    if (snapLayout.getParent() == heldComponent) {
+                if (nestedLayout instanceof LayoutSnap) {
+                    LayoutSnap layoutSnap = (LayoutSnap) nestedLayout;
+                    if (layoutSnap.getParent() == heldComponent) {
                         isNested = true;
                         break;
-                    } else if (snapLayout.getParent() != null) {
-                        nestedLayout = snapLayout.getParent().getLayout();
+                    } else if (layoutSnap.getParent() != null) {
+                        nestedLayout = layoutSnap.getParent().getLayout();
                     } else {
                         break;
                     }
@@ -142,8 +142,8 @@ public class HudDesignerScreen
                 if (anchor != null && heldAnchor.canConnectTo(anchor)) {
                     snappedComponent = component;
                     snappedAnchor = anchor;
-                    SnapLayout newLayout = new SnapLayout(component, anchor, heldAnchor);
-                    ((MovableHudComponent) heldComponent).setLayout(newLayout);
+                    LayoutSnap newLayout = new LayoutSnap(component, anchor, heldAnchor);
+                    ((HudComponentMovable) heldComponent).setLayout(newLayout);
                     didSnap = true;
                     break;
                 }
@@ -157,14 +157,14 @@ public class HudDesignerScreen
             if (anchor != null) {
                 snappedComponent = null;
                 snappedAnchor = anchor;
-                SnapLayout newLayout = new SnapLayout(null, snappedAnchor, heldAnchor);
-                ((MovableHudComponent) heldComponent).setLayout(newLayout);
+                LayoutSnap newLayout = new LayoutSnap(null, snappedAnchor, heldAnchor);
+                ((HudComponentMovable) heldComponent).setLayout(newLayout);
                 didSnap = true;
             }
 
             if (!didSnap) {
-                AbsoluteLayout newLayout = new AbsoluteLayout((float) newX / width, (float) newY / (height - BOTTOM_SPACE), heldAnchor);
-                ((MovableHudComponent) heldComponent).setLayout(newLayout);
+                LayoutAbsolute newLayout = new LayoutAbsolute((float) newX / width, (float) newY / (height - BOTTOM_SPACE), heldAnchor);
+                ((HudComponentMovable) heldComponent).setLayout(newLayout);
                 snappedComponent = null;
                 snappedAnchor = null;
             }
diff --git a/src/main/java/net/minecraft/client/gui/LabelEditorScreen.java b/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
similarity index 94%
rename from src/main/java/net/minecraft/client/gui/LabelEditorScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
index 2625fce85..31c650846 100644
--- a/src/main/java/net/minecraft/client/gui/LabelEditorScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenLabelEditor.java
@@ -10,10 +10,10 @@ import org.lwjgl.opengl.GL11;
 
 // Referenced classes of package net.minecraft.src:
 //            GuiScreen, GuiButton, World, SignUpdatePacket,
-//            SignBlockEntity, ClientPacketHandler, Block, BlockEntityRenderer,
+//            TileEntitySign, PacketHandlerClient, Block, TileEntityRenderer,
 //            ChatAllowedCharacters
 
-public class LabelEditorScreen extends Screen
+public class ScreenLabelEditor extends Screen
 {
     private static final String allowedCharacters;
 
@@ -29,7 +29,7 @@ public class LabelEditorScreen extends Screen
     protected int ySize;
     protected int slot;
 
-    public LabelEditorScreen(final ItemStack item, int slot)
+    public ScreenLabelEditor(final ItemStack item, int slot)
     {
         screenTitle = I18n.getInstance().translateKey("gui.edit_label.label.title");
         this.item = item;
diff --git a/src/main/java/net/minecraft/client/gui/MainMenuScreen.java b/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
similarity index 96%
rename from src/main/java/net/minecraft/client/gui/MainMenuScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
index 54b361372..284e13ab8 100644
--- a/src/main/java/net/minecraft/client/gui/MainMenuScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenMainMenu.java
@@ -14,8 +14,8 @@ import java.util.Random;
 import javax.imageio.ImageIO;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.client.gui.hud.IngameHud;
-import net.minecraft.client.gui.hud.DoomIngameHud;
+import net.minecraft.client.gui.hud.HudIngame;
+import net.minecraft.client.gui.hud.HudIngameDoom;
 import net.minecraft.client.holiday.Holidays;
 import net.minecraft.client.render.block.model.BlockModelDispatcher;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
@@ -36,7 +36,7 @@ import net.minecraft.core.sound.SoundCategory;
 import net.minecraft.core.util.helper.MathHelper;
 import org.slf4j.Logger;
 
-public class MainMenuScreen extends Screen
+public class ScreenMainMenu extends Screen
 {
     private static final Logger LOGGER = LogUtils.getLogger();
 
@@ -65,10 +65,10 @@ public class MainMenuScreen extends Screen
     	loadLogo();
     }
 
-	public MainMenuScreen() {
-		PauseScreen.photoModeDisabled = false;
+	public ScreenMainMenu() {
+		ScreenPause.photoModeDisabled = false;
 
-        try (InputStream stream = MainMenuScreen.class.getResourceAsStream("/assets/minecraft/textures/gui/title/splashes.txt")) {
+        try (InputStream stream = ScreenMainMenu.class.getResourceAsStream("/assets/minecraft/textures/gui/title/splashes.txt")) {
 
             if (stream == null) {
                 LOGGER.error("Could not locate 'splashes.txt'! Does the file exist!?");
@@ -101,13 +101,13 @@ public class MainMenuScreen extends Screen
             codeProgress++;
             if (codeProgress == KEY_CHAIN.length)
             {
-                if (mc.ingameHud instanceof DoomIngameHud)
+                if (mc.hudIngame instanceof HudIngameDoom)
                 {
-                    mc.ingameHud = new IngameHud(mc);
+                    mc.hudIngame = new HudIngame(mc);
                 }
                 else
                 {
-                    mc.ingameHud = new DoomIngameHud(mc);
+                    mc.hudIngame = new HudIngameDoom(mc);
                 }
                 mc.sndManager.playSound("mob.pig", SoundCategory.GUI_SOUNDS, 1.0F, 1.0F);
                 codeProgress = 0;
@@ -195,11 +195,11 @@ public class MainMenuScreen extends Screen
         }
         if(button.id == 1)
         {
-            mc.displayScreen(new SelectWorldScreen(this));
+            mc.displayScreen(new ScreenSelectWorld(this));
         }
         if(button.id == 2)
         {
-            mc.displayScreen(new SelectServerScreen(this));
+            mc.displayScreen(new ScreenSelectServer(this));
         }
         if(button.id == 3)
         {
@@ -211,7 +211,7 @@ public class MainMenuScreen extends Screen
         }
         if(button.id == 5)
         {
-            mc.displayScreen(new CreditsScreen(this));
+            mc.displayScreen(new ScreenCredits(this));
         }
         if(button.id == 9)
         {
@@ -461,7 +461,7 @@ public class MainMenuScreen extends Screen
     
     public static void loadLogo() {
     	try {
-    		InputStream inputStream = MainMenuScreen.class.getResourceAsStream("/assets/minecraft/textures/gui/title/retrologo.png");
+    		InputStream inputStream = ScreenMainMenu.class.getResourceAsStream("/assets/minecraft/textures/gui/title/retrologo.png");
     		BufferedImage image = ImageIO.read(inputStream);
     		inputStream.close();
 
diff --git a/src/main/java/net/minecraft/client/gui/MissingMinecraftScreen.java b/src/main/java/net/minecraft/client/gui/ScreenMissingMinecraft.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/MissingMinecraftScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenMissingMinecraft.java
index c3a5c7836..0326d3837 100644
--- a/src/main/java/net/minecraft/client/gui/MissingMinecraftScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenMissingMinecraft.java
@@ -10,7 +10,7 @@ import org.slf4j.Logger;
 import java.awt.*;
 import java.net.URI;
 
-public class MissingMinecraftScreen extends Screen {
+public class ScreenMissingMinecraft extends Screen {
     private static final Logger LOGGER = LogUtils.getLogger();
     public int ticks = 0;
     @Override
diff --git a/src/main/java/net/minecraft/client/gui/MobPickerScreen.java b/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
similarity index 87%
rename from src/main/java/net/minecraft/client/gui/MobPickerScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
index e7090be26..2e0249903 100644
--- a/src/main/java/net/minecraft/client/gui/MobPickerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenMobPicker.java
@@ -2,11 +2,11 @@ package net.minecraft.client.gui;
 
 import net.minecraft.client.gui.popup.PopupScreen;
 import net.minecraft.client.gui.popup.PopupBuilder;
-import net.minecraft.core.block.entity.MobSpawnerBlockEntity;
+import net.minecraft.core.block.entity.TileEntityMobSpawner;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.net.packet.SetMobSpawnerPacket;
 
 import java.lang.reflect.Modifier;
@@ -14,7 +14,7 @@ import java.util.ArrayList;
 import java.util.Collections;
 import java.util.List;
 
-public class MobPickerScreen
+public class ScreenMobPicker
     extends Screen {
     private final int x;
     private final int y;
@@ -23,7 +23,7 @@ public class MobPickerScreen
     private boolean shouldClose = false;
 
 
-    public MobPickerScreen(String mobId, int x, int y, int z) {
+    public ScreenMobPicker(String mobId, int x, int y, int z) {
         this.mobId = mobId;
         this.x = x;
         this.y = y;
@@ -34,7 +34,7 @@ public class MobPickerScreen
     public void init() {
         List<String> monsters = new ArrayList<>();
         for (Class<? extends Entity> clazz : EntityDispatcher.classToKeyMap.keySet()) {
-            if (clazz == FireflyClusterMob.class) continue;
+            if (clazz == MobFireflyCluster.class) continue;
             if (Mob.class.isAssignableFrom(clazz) && !Modifier.isAbstract(clazz.getModifiers())) {
                 monsters.add(EntityDispatcher.classToKeyMap.get(clazz));
             }
@@ -61,7 +61,7 @@ public class MobPickerScreen
                 if (statusCode == 1) {
                     mobId = monsters.get((Integer) results.get("list"));
                     if (!mc.theWorld.isClientSide) {
-                        MobSpawnerBlockEntity spawner = (MobSpawnerBlockEntity) mc.theWorld.getBlockEntity(x, y, z);
+                        TileEntityMobSpawner spawner = (TileEntityMobSpawner) mc.theWorld.getBlockEntity(x, y, z);
                         if (spawner == null) {
                             return;
                         }
diff --git a/src/main/java/net/minecraft/client/gui/OutOfMemoryScreen.java b/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
similarity index 96%
rename from src/main/java/net/minecraft/client/gui/OutOfMemoryScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
index 480703a70..f422d8c63 100644
--- a/src/main/java/net/minecraft/client/gui/OutOfMemoryScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenOutOfMemory.java
@@ -6,7 +6,7 @@ package net.minecraft.client.gui;
 
 import net.minecraft.core.lang.I18n;
 
-public class OutOfMemoryScreen extends Screen
+public class ScreenOutOfMemory extends Screen
 {
     @Override
     public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
diff --git a/src/main/java/net/minecraft/client/gui/PaintingPickerScreen.java b/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
similarity index 98%
rename from src/main/java/net/minecraft/client/gui/PaintingPickerScreen.java
rename to src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
index 7031ba613..1360bdb33 100644
--- a/src/main/java/net/minecraft/client/gui/PaintingPickerScreen.java
+++ b/src/main/java/net/minecraft/client/gui/ScreenPaintingPicker.java
@@ -14,7 +14,7 @@ import java.util.List;
 import static org.lwjgl.opengl.GL11.*;
 import static org.lwjgl.opengl.GL11.GL_BLEND;
 
-public class PaintingPickerScreen
+public class ScreenPaintingPicker
     extends Screen
 {
     private final Player player;
@@ -22,7 +22,7 @@ public class PaintingPickerScreen
     private ArtType centerArt = ArtType.Kebab;
     private int tallestSize = 0;
 
-    public PaintingPickerScreen(Player player)
+    public ScreenPaintingPicker(Player player)
     {
         this.player = player;
         for (ArtType art : ArtType.values){
